---
title: "Get members' last logins"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-members-last-logins"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org-id-members-last-logins"
method: "GET"
path: "/v2/organizations/{org_id}/members/last-logins"
operation_id: "get-v2-organizations-org-id-members-last-logins"
authorization: "bearer"
---

# Get members' last logins

`GET /v2/organizations/{org_id}/members/last-logins`

This endpoint allows API users to retrieve the last login of each member of an organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filters:email` | string | No | Filter by email. Format: `?filters=[{"email":{"type": "=", "value": user_email}}]` (email should be encoded as url) |
| `sort:email` | string | No | Sort by email. Possible values: asc, desc. Format: `?sort[email]=asc` |
| `sort:updated` | string | No | Sort by the time of updated. Possible values: asc, desc. Format: `?sort[updated]=asc` |

## Responses

### 200

Successful response. Returns the members' last logins.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "ip": "2XX.XX.XX.X",
      "email": "user1@email.com",
      "user_id": "e41862e38a7eab5d9804995ac7eb7c9248ceeab6",
      "created_at": 1678032034,
      "last_login": 1678032034,
      "user_agent": "user agent sample",
      "application": "Sample Application"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

Wrong, expired, or missing token.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user isn't an admin or moderator of the organization.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/members/last-logins" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-members-last-logins*
